Processing: SAGA Raster statistics for polygons returns wrong values
Status: Closed

Priority: Normal

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22302

Description

Running example from:

https://github.com/qgis/QGIS-Documentation/blob/master/source/docs/training_manual/processing/geomorpho.rst

Raster statistics for polygons:

processing.runalg("saga:gridstatisticsforpolygons","/tmp/processing543c8fb958c34d0a8b161fc7f40b98d0/62593922b4bf47c186075be

e8a72e8f/RESULT.sdat","/home/paolo/Scrivania/corso_analisi/QGIS_data/processing/more_backends/municipalities.shp",True,True,True,True,True,True,True,True,0,None)

e,True,True,True,True,True,0,None)

returns wrong values. Zonal statistics from QGIS backend, on the same data, returns correct ones.

Unclear whether it's a saga or processing bug. Previous versions worked smoothly.

History

#1 - 2016-02-16 10:55 AM - Alexander Bruy

Is running SAGA from commandline produce correct results?

#2 - 2016-02-16 11:15 PM - Paolo Cavallini

- Status changed from Open to Rejected

- Resolution set to up/downstream

You are right, upstream problem, presumably related to incorrect handling of NULLs. Sorry for the noise.

#3 - 2016-02-17 09:19 AM - Paolo Cavallini

- Status changed from Rejected to Reopened

- Tag set to easy

-METHOD=0 does indeed not disregard NoData cells. 

As a workaround we could use -METHOD=1.

So it can be fixed on our side after all.

#4 - 2016-02-18 05:55 AM - Alexander Bruy
https://github.com/qgis/QGIS-Documentation/blob/master/source/docs/training_manual/processing/geomorpho.rst


Which SAGA version do you use, 2.2.3?

#5 - 2016-02-18 06:37 AM - Paolo Cavallini

Exactly

#6 - 2016-02-20 06:59 AM - Giovanni Manghi

- Assignee changed from Victor Olaya to Giovanni Manghi

#7 - 2016-02-20 06:59 AM - Giovanni Manghi

- Resolution deleted (up/downstream)

#8 - 2016-03-06 02:16 AM - Giovanni Manghi

- Status changed from Reopened to In Progress

- % Done changed from 0 to 100

see

https://github.com/qgis/QGIS/pull/2869

#9 - 2016-03-12 11:40 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
https://github.com/qgis/QGIS/pull/2869

